=== modified file 'drizzled/handler_structs.h'
--- drizzled/handler_structs.h	2009-08-23 01:10:19 +0000
+++ drizzled/handler_structs.h	2009-09-16 20:58:28 +0000
@@ -84,7 +84,6 @@
   uint32_t table_options;
   uint32_t used_fields;
   uint32_t key_block_size;
-  uint32_t block_size;
   enum row_type row_type;
   StorageEngine *db_type;
   uint32_t options;                         /* OR of HA_CREATE_ options */

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2009-08-20 21:45:52 +0000
+++ drizzled/sql_select.cc	2009-09-16 20:58:28 +0000
@@ -5118,9 +5118,6 @@
           tab->ref.key= -1;
           tab->ref.key_parts=0;		// Don't use ref key.
           tab->read_first_record= join_init_read_record;
-          /*
-            TODO: update the number of records in join->best_positions[tablenr]
-          */
         }
       }
       used_key_parts= best_key_parts;

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2009-08-24 20:01:53 +0000
+++ drizzled/sql_table.cc	2009-09-16 20:58:28 +0000
@@ -3004,7 +3004,7 @@
   table_options= table_proto->mutable_options();
 
   if (!(used_fields & HA_CREATE_USED_BLOCK_SIZE))
-    create_info->block_size= table->s->block_size;
+    table_options->set_block_size(table->s->block_size);
   if (!(used_fields & HA_CREATE_USED_DEFAULT_CHARSET))
     create_info->default_table_charset= table->s->table_charset;
   if (!(used_fields & HA_CREATE_USED_AUTO) && table->found_next_number_field)

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2009-09-14 20:41:50 +0000
+++ drizzled/sql_yacc.yy	2009-09-16 20:58:28 +0000
@@ -1379,7 +1379,10 @@
           }
         | BLOCK_SIZE_SYM opt_equal ulong_num    
           { 
-            Lex->create_info.block_size= $3; 
+	    message::Table::TableOptions *tableopts;
+	    tableopts= Lex->create_table_proto->mutable_options();
+
+            tableopts->set_block_size($3);
             Lex->create_info.used_fields|= HA_CREATE_USED_BLOCK_SIZE;
           }
         | COMMENT_SYM opt_equal TEXT_STRING_sys

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2009-08-24 20:01:53 +0000
+++ drizzled/table.cc	2009-09-16 20:58:28 +0000
@@ -1747,7 +1747,7 @@
 {
   message::Table::TableOptions *table_options= table_proto->mutable_options();
   create_info->table_options= s->db_create_options;
-  create_info->block_size= s->block_size;
+  table_options->set_block_size(s->block_size);
   create_info->row_type= s->row_type;
   create_info->default_table_charset= s->table_charset;
   create_info->table_charset= 0;

=== modified file 'drizzled/table_proto_write.cc'
--- drizzled/table_proto_write.cc	2009-08-24 20:01:53 +0000
+++ drizzled/table_proto_write.cc	2009-09-16 20:58:28 +0000
@@ -336,9 +336,6 @@
   if (create_info->key_block_size)
     table_options->set_key_block_size(create_info->key_block_size);
 
-  if (create_info->block_size)
-    table_options->set_block_size(create_info->block_size);
-
   for (unsigned int i= 0; i < keys; i++)
   {
     message::Table::Index *idx;

